/******************************************************************************
 * GViD Source Code Editor
 * Copyright (C) 2002  Alan Oursland
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Alan Oursland
 * alan@oursland.net
 *****************************************************************************/
package gvid.ui;

import java.util.LinkedList;

public class FindSettings {
	public static final int DOWN = 0;
	public static final int UP = 1;
	
	public String m_findString = "";
	public int m_direction = DOWN;
	public boolean m_bWholeWord = false;
	public boolean m_bMatchCase = false;
	public boolean m_bWrap		= true;
	
	public LinkedList m_findList = new LinkedList();
	
	public void addFindString( String findStr ) {		
		if( m_findList.contains(findStr) ) {
			m_findList.remove(findStr);
		}
		if( m_findList.size() > 16 ) {
			m_findList.removeLast();
		}
		m_findList.addFirst(findStr);
	}
}