/******************************************************************************
 * GViD Source Code Editor
 * Copyright (C) 2002  Alan Oursland
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Alan Oursland
 * alan@oursland.net
 *****************************************************************************/
package gvid.ui;

import javax.swing.*;
import java.beans.*;
import java.awt.*;
import javax.swing.border.LineBorder;

public class AboutPanel 
	extends javax.swing.JPanel {
	public AboutPanel() {
		//{{INIT_CONTROLS
		setLayout(new BorderLayout(5,5));
		setSize(400,250);
		m_titlePanel.setLayout(new BorderLayout(0,0));
		add(BorderLayout.NORTH,m_titlePanel);
		m_titleLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
		m_titleLabel.setText("ViD");
		m_titlePanel.add(BorderLayout.NORTH,m_titleLabel);
		m_titleLabel.setForeground(java.awt.Color.black);
//		m_titleLabel.setFont(new Font("Serif", Font.PLAIN, 36));
		m_subtitleLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
		m_subtitleLabel.setText("Visual Development");
		m_titlePanel.add(BorderLayout.CENTER,m_subtitleLabel);
		m_subtitleLabel.setForeground(java.awt.Color.black);
		m_versionLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
		m_versionLabel.setText("Version 1.0");
		m_titlePanel.add(BorderLayout.SOUTH,m_versionLabel);
		m_versionLabel.setForeground(java.awt.Color.black);
		m_messageWrapper.setLayout(new GridLayout(5,1,0,0));
		add(BorderLayout.CENTER,m_messageWrapper);
		m_useLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
		m_useLabel.setText("ViD is free for end users.");
		m_messageWrapper.add(m_useLabel);
		m_useLabel.setForeground(java.awt.Color.black);
		m_licenseLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
		m_licenseLabel.setText("The ViD source code is available for license.");
		m_messageWrapper.add(m_licenseLabel);
		m_licenseLabel.setForeground(java.awt.Color.black);
		m_contactLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
		m_contactLabel.setText("Email \'alan@oursland.net\' for bugs and licensing questions.");
		m_messageWrapper.add(m_contactLabel);
		m_contactLabel.setForeground(java.awt.Color.black);
		m_disclaimer1Label.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
		m_disclaimer1Label.setText("This software is provided \"as is\".");
		m_messageWrapper.add(m_disclaimer1Label);
		m_disclaimer1Label.setForeground(java.awt.Color.black);
		m_disclainer2Label.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
		m_disclainer2Label.setText("No warranty is expressed or implied.");
		m_messageWrapper.add(m_disclainer2Label);
		m_disclainer2Label.setForeground(java.awt.Color.black);
		m_copyrightLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
		m_copyrightLabel.setText("Copyright 2001 Alan Oursland");
		add(BorderLayout.SOUTH,m_copyrightLabel);
		m_copyrightLabel.setForeground(java.awt.Color.black);
		//$$ lineBorder1.move(0,271);
		//}}
		m_messageWrapper.setBorder(lineBorder1);

		//{{REGISTER_LISTENERS
		//}}
	}

	//{{DECLARE_CONTROLS
	javax.swing.JPanel m_titlePanel = new javax.swing.JPanel();
	javax.swing.JLabel m_titleLabel = new javax.swing.JLabel();
	javax.swing.JLabel m_subtitleLabel = new javax.swing.JLabel();
	javax.swing.JLabel m_versionLabel = new javax.swing.JLabel();
	javax.swing.JPanel m_messageWrapper = new javax.swing.JPanel();
	javax.swing.JLabel m_useLabel = new javax.swing.JLabel();
	javax.swing.JLabel m_licenseLabel = new javax.swing.JLabel();
	javax.swing.JLabel m_contactLabel = new javax.swing.JLabel();
	javax.swing.JLabel m_disclaimer1Label = new javax.swing.JLabel();
	javax.swing.JLabel m_disclainer2Label = new javax.swing.JLabel();
	javax.swing.JLabel m_copyrightLabel = new javax.swing.JLabel();
	//}}
	javax.swing.border.LineBorder lineBorder1 = new javax.swing.border.LineBorder(Color.black, 1);

}